Bug 104138 - incompatible change to smbclient -P option
Summary: incompatible change to smbclient -P option
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-10 14:11 UTC by Tim Waugh
Modified: 2014-08-31 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 19:37:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2003-09-10 14:11:15 UTC
Description of problem:
The meaning of the -P option to smbclient has changed dramatically, with no
warnings ever given that it would happen.

Version-Release number of selected component (if applicable):
samba-3.0.0-5rc1

How reproducible:
100%

It *used* to mean 'use this share as a printer'.  It *now* means 'use stored
machine account password'.

This option was documented in the --help output, so other people may be using it.

Note: this is used by redhat-config-printer, and causes it to break.


Note You need to log in before you can comment on or make changes to this bug.